[SRU] Update apt/xenial to 1.2.12

Bug #1580952 reported by Julian Andres Klode on 2016-05-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Medium
Unassigned
Xenial
Medium
Adam Conrad

Bug Description

Since the version in xenial, we released two more new bug fix releases upstream. We'd like to get this into xenial under the "New upstream microreleases" rule.

[Impact]
Most visible for xenial users:
-> AppStream now updates even if some repositories failed to be fetched (see #1562733 for reference)

-> Third-party repositories will no longer print "Unknown public key" type errors when a new key was added (and another key was successfully used to verify the repo). This happen(s/ed) on the Chrome repositories, for example, and leads users to manually receive keys from the key server which weakens their security.

The rest are other bugfixes. Full changelogs:

apt (1.2.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * ensure transaction states are changed only once
-> more sanity checks
  * stop handling items in doomed transactions.
    Thanks to Barr Detwix & Vincent Lefevre for log files (Closes: 817240)
-> fixes a lot of "E: Unpatched file doesn't exist (anymore)!" that happen sometimes
  * do not require non-broken systems in 'upgrade'
-> allows people to fix their broken system in upgrade
  * detect compressed status files on extension again
-> regression from 1.1, single flag changed
  * recheck Pre-Depends satisfaction in SmartConfigure (LP: #1569099)
-> already in xenial
  * fix Alt-Filename handling of file method
-> off-by-one error when removing file extensions to get uncompressed filename
  * allow uncompressed files to be empty in store again
-> this caused failures when fetching empty files
  * silently skip acquire of empty index files
-> clean up of the above
  * ensure outdated files are dropped without lists-cleanup
-> ensures proper cleanup

  [ Kelemen Gábor ]
  * Hungarian program translation update (Closes: 820638)

 -- Julian Andres Klode <email address hidden> Mon, 25 Apr 2016 15:23:49 +0200

apt (1.2.12) unstable; urgency=medium

  [ Patrick Cable ]
  * refactored no_proxy code to work regardless of where https proxy is set
-> no_proxy should really work for all ways to set an https proxy (actually LP: #1575877)

  [ James McCoy ]
  * deb822: Restore support for <multivalue>-{Add,Remove}
-> Adds - in front of Add and Remove strings...

  [ David Kalnischkies ]
  * don't show NO_PUBKEY warning if repo is signed by another key
    (Closes: 618445)
-> this helps the DSA->RSA key transitions, at it gets rid of the unkown public key warnings on the Chrome repository
  * allow redirection for items without a space in the desc again
-> small bug fix
  * don't sent uninstallable rc-only versions via EDSP
-> Fixes EDSP/CUDF solvers to not try to install package versions in config-file state
  * respect user pinning in M-A:same version (un)screwing
-> used the wrong function get a candidate version

  [ Julian Andres Klode ]
  * update: Run Post-Invoke-Success if not all sources failed
-> This fixes the problem with AppStream not being updated because a mirror failed (see #1562733)
  * debian/gbp.conf: Set debian-branch to 1.2.y
-> Build infrastructure

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 823976)

 -- Julian Andres Klode <email address hidden> Wed, 11 May 2016 10:56:53 +0200

[Regression Potential]
APT has a very thorough regression test suite and the releases have passed our upstream CI system on travis, and autopkgtests on Debian unstable and Ubuntu xenial; so there's no huge regression potential.

description: updated
Adam Conrad (adconrad) on 2016-05-12
Changed in apt (Ubuntu):
status: New → Invalid
Adam Conrad (adconrad) on 2016-05-12
Changed in apt (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Adam Conrad (adconrad)
Martin Pitt (pitti) wrote :

Please add an SRU test case which exercise the code paths that changed here.

Changed in apt (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Julian, or anyone else affected,

Accepted apt into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apt/1.2.12~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apt (Ubuntu):
status: Invalid → Fix Released
Patrick Cable (5-pc) wrote :

I've tested the patch and it seems to work, btw. (for the no_proxy stuff)

Changed in apt (Ubuntu Xenial):
milestone: none → xenial-updates
Changed in apt (Ubuntu):
importance: Undecided → Medium
Changed in apt (Ubuntu Xenial):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

apt has test cases in autopkgtest, and the sbuild failure happens with the released apt too, so this should be treated as sufficiently verified under the microrelease procedure now.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 1.2.12~ubuntu16.04.1

---------------
apt (1.2.12~ubuntu16.04.1) xenial; urgency=medium

  * Upload 1.2.12 micro-release to Xenial (LP: #1538438, #1580952)

apt (1.2.12) unstable; urgency=medium

  [ Patrick Cable ]
  * refactored no_proxy code to work regardless of where https proxy is set

  [ James McCoy ]
  * deb822: Restore support for <multivalue>-{Add,Remove}

  [ David Kalnischkies ]
  * don't show NO_PUBKEY warning if repo is signed by another key
    (Closes: 618445)
  * allow redirection for items without a space in the desc again
  * don't sent uninstallable rc-only versions via EDSP
  * respect user pinning in M-A:same version (un)screwing

  [ Julian Andres Klode ]
  * update: Run Post-Invoke-Success if not all sources failed
  * debian/gbp.conf: Set debian-branch to 1.2.y

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: 823976)

apt (1.2.11) unstable; urgency=medium

  [ David Kalnischkies ]
  * ensure transaction states are changed only once
  * stop handling items in doomed transactions.
    Thanks to Barr Detwix & Vincent Lefevre for log files (Closes: 817240)
  * do not require non-broken systems in 'upgrade'
  * detect compressed status files on extension again
  * recheck Pre-Depends satisfaction in SmartConfigure (LP: #1569099)
  * fix Alt-Filename handling of file method
  * allow uncompressed files to be empty in store again
  * silently skip acquire of empty index files
  * ensure outdated files are dropped without lists-cleanup

  [ Kelemen Gábor ]
  * Hungarian program translation update (Closes: 820638)

 -- Adam Conrad <email address hidden> Thu, 12 May 2016 04:08:00 -0600

Changed in apt (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for apt has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers